Subject: Re: bug#12932: 24.2; Installing GNOME .desktop file to incorrect location

From: Mark Skilbeck <[email-masked]>
Date: Mon, 19 Nov 2012 20:08:58 +0000

On Mon, Nov 19, 2012 at 12:09:39PM -0500, Glenn Morris wrote:
> [email-masked] wrote:
> 
> > When compiling and installing Emacs, the GNOME .desktop file is
> > installed to /usr/local/share/applications; however, according to the
> > documentation[1],
> 
> Reference [1] seems to be missing AFAICS.
> 
> >  the correct locations are: /usr/share/applications and
> > ~/.local/share/applications.
> 
> Thanks for the report. My initial reaction, without having read the
> Gnome docs, is that this is a Gnome bug (obviously this won't be a
> helpful response for you). If I compile something with --prefix=/foo, I
> get annoyed if it installs files outside /foo.
> 
> Installing in /usr/share/applications is a definite no-go, because then
> we could clobber a pre-existing emacs.desktop belonging to the system.
> I supposed we could perhaps only install here if there was not already
> an emacs.desktop, but this does not seem like a great solution to me.
> 
> Installing in ~ is pointless, because it only works for the installing
> user (doubly bad if this is root). You could of course make your own
> symlink there to the /foo file, so perhaps what Emacs does now is a
> reasonable compromise.

Apologies on the missing reference. Here it is: 

http://developer.gnome.org/integration-guide/stable/desktop-files.html.en

The relevant part is:

  Place this file in the /usr/share/applications directory so that it
  is accessible by everyone, or in ~/.local/share/applications if you
  only wish to make it accessible to a single user ...

However, I don't know if these are the only paths used--I will have to
confirm with GNOME developers.

-- mgsk (replying from a different email address)